Skip to main content
POST
/
api
/
v1
/
betting
/
funding
Fund betting account
curl --request POST \
  --url https://api.dancity.app/api/v1/betting/funding \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "product": "SportyBet",
  "account_id": "12345678",
  "amount": 1000,
  "customerRef": "BET-REF-001"
}
'
{
  "success": true,
  "message": "Betting account funded",
  "data": {
    "transactionId": "TXN-20260506-006",
    "status": "SUCCESS",
    "account_id": "12345678",
    "amount": 1000
  }
}

Authorizations

Authorization
string
header
required

Merchant API key from the Dancity dashboard.

Body

application/json
product
string
required

Betting platform name from GET /api/v1/products (e.g. SportyBet).

Example:

"SportyBet"

account_id
string
required

Their betting account id.

Example:

"12345678"

amount
number
required
Required range: x >= 100
Example:

1000

customerRef
string
Example:

"BET-REF-001"

Response

OK